Skip to main content
GET
/
v2
/
trends
/
{trend_id}
/
similar
Similar Trends
curl --request GET \
  --url https://api.upriver.ai/v2/trends/{trend_id}/similar \
  --header 'X-API-Key: <api-key>'
{
  "results": [
    {
      "trend": {
        "title": "<string>",
        "summary": "<string>",
        "origin": "<string>",
        "virality_reason": "<string>",
        "notability_for_ads": "<string>",
        "trend_type": "theme",
        "has_signature_sound": true,
        "has_visual_template": true,
        "has_choreography": true,
        "id": "<string>",
        "instructions": "<string>",
        "trend_id": "<string>",
        "discovered_at": "<string>",
        "fingerprint": "<string>",
        "canonical_id": "<string>",
        "status": "<string>",
        "metadata": {},
        "variants": [
          "<string>"
        ],
        "all_records": [
          {}
        ],
        "relations_out": [
          {}
        ],
        "relations_in": [
          {}
        ],
        "source_count": 123,
        "video_count": 123,
        "audio_count": 123,
        "variants_count": 123,
        "source_sample": [
          "<unknown>"
        ],
        "video_samples": [
          "<unknown>"
        ],
        "audio_samples": [
          "<unknown>"
        ],
        "playback": "<string>",
        "source_first_published_at": "<string>",
        "source_last_published_at": "<string>",
        "media_last_published_at": "<string>",
        "earliest_video_at": "<string>",
        "median_video_at": "<string>",
        "video_date_span_days": 123,
        "video_date_count": 123,
        "freshness_date": "<string>",
        "freshness_score": 123,
        "timeliness_status": "<string>",
        "typical_duration_seconds": 123,
        "editorial_date": "<string>",
        "editorial_date_precision": "<string>",
        "activated_at": "<string>",
        "updated_at": "<string>",
        "tags": [
          {
            "tag_name": "<string>",
            "strength": 123,
            "purpose": "<string>",
            "rationale": "<string>"
          }
        ],
        "sound_category": "<string>",
        "sound_genre": "<string>",
        "sound_subgenre": "<string>",
        "sound_mood": "<string>",
        "sound_energy": "<string>",
        "sound_tempo_bpm": 123,
        "sound_tempo_feel": "<string>",
        "brand_safety": "<string>",
        "brand_safety_reason": "<string>",
        "is_song": true,
        "is_catchphrase": true,
        "catchphrase_text": "<string>",
        "has_vocals": true,
        "has_lyrics": true,
        "detected_language": "<string>",
        "sound_usage_type": "<string>",
        "sound_id": "<string>",
        "sound_title": "<string>",
        "sound_artist": "<string>",
        "brand_categories": [
          "<string>"
        ],
        "content_scenarios": [
          "<string>"
        ],
        "audience_vibes": [
          "<string>"
        ],
        "emotional_tone": "<string>",
        "audio_summary": "<string>",
        "lyric_snippet": "<string>",
        "lyric_theme": "<string>",
        "key_instruments": [
          "<string>"
        ]
      },
      "match_score": 123,
      "match_mode": "<string>"
    }
  ],
  "source_trend_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

trend_id
string
required

Query Parameters

limit
integer
default:5
Required range: 1 <= x <= 20

Response

Successful Response

Response for GET /v2/trends/{id}/similar.

results
TrendMatchResult · object[]
required

Similar trends ranked by similarity

source_trend_id
string
required

The trend these are similar to